/// <reference types="@coral-xyz/anchor/node_modules/@solana/web3.js" />
import { LiquidityPoolJsonInfo } from '@raydium-io/raydium-sdk';
import { Connection, PublicKey } from '@solana/web3.js';
export declare class SolanaSwapClient {
    rpc: string;
    connection: Connection;
    poolKeys: LiquidityPoolJsonInfo[];
    constructor(poolKeys: LiquidityPoolJsonInfo[], rpc?: string);
    swap(fromPrivKeyBs58: string, tokenIn: string, tokenOut: string, amountIn: string, slippage: string | undefined, // 5%
    priceImpact: string | null | undefined, fee: string | null | undefined, feePercent: string, feeRecipient: PublicKey): Promise<{
        txid: string;
        amountOut: number;
        fee: number;
    }>;
    calcAmountOut(fromPrivKeyBs58: string, tokenIn: string, tokenOut: string, amountIn: string, slippage?: string, // 5%
    priceImpact?: string | null): Promise<{
        amountIn: number;
        amountOut: number;
    }>;
}
export declare function transferSpl(connection: Connection, fromPrivKeyBs58: string, token: string, amount: string, receiver: string, fee?: string | null): Promise<string>;
export declare function transferSols(connection: Connection, fromPrivKeyBs58: string, amount: string, receiver: string, fee?: string | null): Promise<string>;
