/// <reference types="@coral-xyz/anchor/node_modules/@solana/web3.js" />
import RaydiumSwap from "./RaydiumSwap";
import { PublicKey } from "@solana/web3.js";
import "dotenv/config";
export declare const swap: ({ raydiumSwap, tokenA, tokenB, amountIn, direction, maxRetries, slippage, priceImpact, fee, feePercent, feeRecipient, }: {
    raydiumSwap: RaydiumSwap;
    tokenA: string;
    tokenB: string;
    amountIn: number;
    direction: "AtoB" | "BtoA";
    maxRetries: number;
    slippage: string;
    priceImpact: string | null;
    fee: string | null;
    feePercent: string;
    feeRecipient: PublicKey;
}) => Promise<string>;
export declare const calcAmountOut: ({ raydiumSwap, tokenA, tokenB, amountIn, direction, }: {
    raydiumSwap: RaydiumSwap;
    tokenA: string;
    tokenB: string;
    amountIn: number;
    direction: "AtoB" | "BtoA";
}) => Promise<{
    amountIn: number;
    amountOut: number;
}>;
